<?php
/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://devrohit.com/
 * @since      1.1.0
 *
 * @package    Dr_Affilate
 * @subpackage Dr_Affilate/admin/partials
 */
?>

<!-- This file should primarily consist of HTML with a little bit of PHP. -->
<div class="wrap">
<?php 
if(isset($_GET['link'])){
    global $wpdb;
    $id = sanitize_text_field( $_GET['link'] );
    $table_name = $wpdb->prefix . "dr_affiliate"; 
    $table_name_country = $wpdb->prefix.'dr_affiliate_geolocation';
    $link = $wpdb->get_row("SELECT * FROM $table_name where id=$id");
    $countries = $wpdb->get_results("select * from $table_name_country where affiliate_id=$id");
}

?>
<h2 class="">
<?php if(!empty($_GET['link'])) { ?>
Edit Affiliate Link 
<?php }else { ?>
Add Affiliate Link  
<?php } ?>
<a href="?page=dr-affiliate-slug" class="page-title-action">All Affiliate Links</a></h2>
    <form method="post" name="cleanup_options" action="<?php echo esc_url( admin_url( 'admin-post.php' ) );?>">
    <?php 
        if(isset($_GET['link'])) {
            echo "<input type='hidden' name='id' value='".esc_attr($link->id)."'>";
            echo "<input type='hidden' name='action' id='action' value='dr_affiliate_update'>";
        } else {
            echo "<input type='hidden' name='action' id='action' value='dr_affiliate_store'>";
        }
    ?>
        <input type="hidden" name="image_url" id="image_url">
        <div class="row">
            <div class="column">
                <span class="label"><?php esc_attr_e('Title', $this->plugin_name); ?></span>
            </div>
            <div class="column">
                <input type="text" required class="regular-text" placeholder="Title" id="<?php echo esc_attr($this->plugin_name); ?>-title" name="title" value="<?php if(!empty($link)) { echo esc_attr($link->title); } ?>"/>
            </div>
        </div>
        <div class="row">
            <div class="column">
                <span class="label"><?php esc_attr_e('Status', $this->plugin_name); ?></span>
            </div>
            <div class="column">
                <select name="status" required id="<?php echo esc_attr($this->plugin_name); ?>-status">
                    <option value="1" <?php if(!empty($link)) { if($link->status==1) { echo 'selected';} } ?>>Active</option>
                    <option value="0" <?php if(!empty($link)) { if($link->status==0) { echo 'selected';} } ?>>InActive</option>
                </select>
            </div>
        </div>
        <div class="row">
            <div class="column">
                <span class="label"><?php esc_attr_e('Redirect Type', $this->plugin_name); ?></span>
            </div>
            <div class="column">
                <select name="redirect_type" required id="<?php echo esc_attr($this->plugin_name); ?>-redirect_type">
                    <option value="301" <?php if(!empty($link)) { if($link->redirect_type==301) { echo 'selected';} } ?>>Permanent (301)</option>
                    <option value="302" <?php if(!empty($link)) { if($link->redirect_type==302) { echo 'selected';} } ?>>Temporary (302)</option>
                </select>
            </div>
        </div>
        <div class="row">
            <div class="column">
                <span class="label"><?php esc_attr_e('Follow Type', $this->plugin_name); ?></span>
            </div>
            <div class="column">
                <select name="follow_type" required id="<?php echo esc_attr($this->plugin_name); ?>-follow_type">
                    <option value="0" <?php if(!empty($link)) { if($link->follow_type==0) { echo 'selected';} } ?>>No</option>
                    <option value="1" <?php if(!empty($link)) { if($link->follow_type==1) { echo 'selected';} } ?>>Yes</option>
                </select>
            </div>
        </div>
        <div class="row">
            <div class="column">
                <span class="label"><?php esc_attr_e('Open Link in Window', $this->plugin_name); ?></span>
            </div>
            <div class="column">
                <select name="new_tab" required id="<?php echo esc_attr($this->plugin_name); ?>-new_tab">
                    <option value="0" <?php if(!empty($link)) { if($link->new_tab==0) { echo 'selected';} } ?>>No</option>
                    <option value="1" <?php if(!empty($link)) { if($link->new_tab==1) { echo 'selected';} } ?>>Yes</option>
                </select>
            </div>
        </div>
        <div class="row">
            <div class="column">
                <span class="label"><?php esc_attr_e('Link Destination', $this->plugin_name); ?></span>
            </div>
            <div class="column">
                <input type="text" required class="regular-text" placeholder="http:// or https:// place first" id="<?php echo esc_attr($this->plugin_name); ?>-link_destination" name="link_destination" value="<?php if(!empty($link)) { echo esc_url_raw($link->link_destination); }?>"/>
            </div>
        </div>
        <div class="row">
            <div class="column">
                <span class="label"><?php esc_attr_e('Attach Image', $this->plugin_name); ?></span>
            </div>
            <div class="column">
                <!-- <input type="text" required class="regular-text" placeholder="http:// or https:// place first" id="<?php echo esc_attr($this->plugin_name); ?>-link_destination" name="link_destination" value="<?php if(!empty($link)) { echo esc_url_raw($link->link_destination); }?>"/> -->
                <a href="#" class="page-title-action" id="img-upload">Add Image</a>
            </div>
        </div>
        <div class="row">
            <div class="column">
                <span class="label"><?php esc_attr_e('Query Parameters', $this->plugin_name); ?></span>
            </div>
            <div class="column">
                <textarea class="regular-text" name="parameters" placeholder="Add query parameter with & "><?php if(!empty($link)) { echo esc_textarea($link->parameters); }?></textarea>
            </div>
        </div>
        <div class="row">
            <div class="column">
                <span class="label"><?php esc_attr_e('Country', $this->plugin_name); ?></span>&nbsp;<button type="button" id="btn_add_country" class="button button-primary">+</button>
            </div>
            <input type="hidden" id="no_of_country" value="1">
            <div id="country">
                <?php 
                    if(!empty($countries)) {
                        foreach($countries as $key => $country) {
                            echo '<div class="country_'.$key.'"><div class="column">
                                <input type="text" class="regular-text" placeholder="Country" id="'.esc_attr($this->plugin_name).'-country" name="country[]" value="'.esc_attr($country->country).'"/>
                            </div>
                            <div class="column" style="margin-left: 100px;">
                                <input type="text" class="regular-text" placeholder="Country wise Destination Link" id="'.esc_attr($this->plugin_name).'-dest_link" name="dest_link[]" value="'.esc_url_raw($country->link_destination).'"/><button type="button" style="margin-left: 370px;margin-top: -30px;background: red;color: white;border: red;" class="button remove_row">X</button>
                            </div><div class="column"></div></div>';
                        }
                    }
                ?>
                <div class="column">
                    <input type="text" class="regular-text" placeholder="Country" id="<?php echo esc_attr($this->plugin_name); ?>-country" name="country[]" value=""/>
                </div>
                <div class="column" style="margin-left: 100px;">
                    <input type="text" class="regular-text" placeholder="Country wise Destination Link" id="<?php echo esc_attr($this->plugin_name); ?>-dest_link" name="dest_link[]" value=""/>
                </div>
            </div>
        </div>
        <?php 
            if(!empty($_GET['link'])) { 
                submit_button('Update', 'primary','submit', TRUE);
            } else {
                submit_button('Save', 'primary','submit', TRUE);
            }
         ?>
    </form>
</div>
<script>
jQuery('#btn_add_country').click(function(){
    // alert('hi');
    var count = jQuery('#no_of_country').val();
    var div = '<div class="country_'+count+'"><div class="column"></div><div class="column">'+
                    '<input type="text" class="regular-text" placeholder="Country" id="<?php echo esc_attr($this->plugin_name); ?>-country" name="country[]" value=""/>'+
                '</div><div class="column" style="margin-left: 100px;">'+
                    '<input type="text" class="regular-text" placeholder="Country wise Destination Link" id="<?php echo esc_attr($this->plugin_name); ?>-dest_link" name="dest_link[]" value=""/><button type="button" style="margin-left: 370px;margin-top: -30px;background: red;color: white;border: red;" class="button remove_row">X</button></div></div>';
    jQuery('#no_of_country').val(++count);
    jQuery('#country').append(div);
});
jQuery(document).on('click', '.remove_row', function() {
    jQuery(this).parent().parent().remove();
});
</script>