<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              https://devrohit.com/
 * @since             1.2.1
 * @package           Dr_Affilate
 *
 * @wordpress-plugin
 * Plugin Name:       Dr Affiliate 
 * Plugin URI:        https://devrohit.com/dr-affiliate
 * Description:       This is a short description of what the plugin does. It's displayed in the WordPress admin area.
 * Version:           1.2.1
 * Author:            Rohit Urane
 * Author URI:        https://devrohit.com/
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       dr-affilate-manager
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * Currently plugin version.
 * Start at version 1.1.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define( 'DR_AFFILATE_VERSION', '1.0.0' );

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-dr-affilate-activator.php
 */
function activate_dr_affilate() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-dr-affilate-activator.php';
	Dr_Affilate_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-dr-affilate-deactivator.php
 */
function deactivate_dr_affilate() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-dr-affilate-deactivator.php';
	Dr_Affilate_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_dr_affilate' );
register_deactivation_hook( __FILE__, 'deactivate_dr_affilate' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-dr-affilate.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.1.0
 */
function run_dr_affilate() {

	$plugin = new Dr_Affilate();
	$plugin->run();

}
run_dr_affilate();
